Subject: bug#65029: Italics bug when Emacs runs inside GNU Screen

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Aug 2023 14:12:09 +0300

> Date: Sat, 19 Aug 2023 10:57:29 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked]
> 
> > Maybe that change is not yet distributed in the version of screen you 
> > have installed, Gregory?
> >
> 
> I have a fairly recent version:
> 
> $ screen --version
> Screen version 4.09.00 (GNU) 30-Jan-22
> 
> A few messages were recently added to the ticket James mentioned:
> 
> https://savannah.gnu.org/bugs/?func=detailitem&item_id=36676
> 
> which IIUC mean that this issue will actually be fixed only in Screen 
> 5.0.0, which will be released next year.  However, I just built the latest 
> version of Screen (master), and the problem is still present AFAICS.

And their version from master also yields the same result from
infocmp?  If so, in what way they "implemented" support for italics?

Should the terminfo database be perhaps updated when you install a
newer version of Screen?